%define name screenlets
%define version 0.0.10
%define release %mkrel 3

Name: %name
Version: %version
Release: %release
License: GPL
URL: http://www.screenlets.org/
Summary: OsX Like Dashboard
Group: System/X11
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Source: %name-%version.tar.bz2
Patch0: fix-dotdesktop.patch
Source1: logo24.png
BuildRequires: python-devel
BuildRequires: desktop-file-utils
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Requires: python-gnome
Requires: python-gtk
Requires: pyxdg
Requires: dbus-python
Requires: gnome-python-desktop

%description
Screenlets are small owner-drawn applications (written in Python) 
that can be described as "the virtual representation of things 
lying/standing around on your desk". Sticknotes, clocks, rulers, ... 
the possibilities are endless

You need Compiz or Beryl to use screenlets

%prep
%setup -n %{name}-%{version}
%patch0 -p0 -b .desktop
# Fix paths
grep -rl '/usr/local' * | xargs sed -i 's,/usr/local,%{_prefix},g'
# Fix dodgy desktop files
find -name *.desktop -exec sed -i 's/^\(Exec=.*\) >.*$/\1/' {} \;

%build
%{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install --root %{buildroot}


install -d %{buildroot}%{_datadir}/%{name}
install -m0644 %{SOURCE1} %{buildroot}%{_datadir}/%{name}/logo24.png

install -d %{buildroot}%{_datadir}/icons
install -m0644 desktop-menu/screenlets.svg %{buildroot}%{_datadir}/icons/screenlets.svg

desktop-file-install \
  --vendor="" \
  --add-category="Settings" \
  --add-category="DesktopSettings" \
  --add-category="X-MandrivaLinux-CrossDesktop" \
  --dir %{buildroot}%{_datadir}/applications \
  desktop-menu/%{name}-manager.desktop

echo "Type=Application" >>desktop-menu/%{name}-daemon.desktop
echo "Icon=%{_datadir}/%{name}/logo24.png" >>desktop-menu/%{name}-daemon.desktop
desktop-file-install \
  --vendor="" \
  --add-category="Settings" \
  --add-category="DesktopSettings" \
  --add-category="X-MandrivaLinux-CrossDesktop" \
  --dir %{buildroot}%{_datadir}/applications \
  desktop-menu/%{name}-daemon.desktop


%post
%update_menus
%{update_desktop_database}

%postun
%clean_menus
%{clean_desktop_database}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc CHANGELOG README TODO
%{_bindir}/screenletsd
%{_bindir}/%{name}-manager
%{_bindir}/%{name}-packager
%{_datadir}/applications/%{name}-*.desktop
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/logo24.png
%dir %{_datadir}/%{name}-manager
%{_datadir}/%{name}-manager/noimage.svg
%{_datadir}/%{name}-manager/%{name}-*.py
%{_datadir}/icons/%{name}.svg

%py_puresitedir/screenlets-%{version}-py2.5.egg-info
%py_puresitedir/screenlets/*
%_datadir/screenlets/*





%changelog
* Mon Oct 29 2007 Colin Guthrie <cguthrie@mandriva.org> 0.0.10-3mdv2008.0
+ Revision: 103321
- Fix #34987 - fix .desktop files to include Type=Application

* Wed Oct 17 2007 Colin Guthrie <cguthrie@mandriva.org> 0.0.10-2mdv2008.1
+ Revision: 99546
- Add missing dep - thanks to Doucet Franck for pointing it out

* Wed Sep 12 2007 Colin Guthrie <cguthrie@mandriva.org> 0.0.10-1mdv2008.0
+ Revision: 84590
- New Upstream Version 0.0.10
- Remove patches in favour of greps, seds and finds
- Install .desktop files


* Fri Mar 23 2007 Sébastien Savarin <plouf@mandriva.org> 0.0.7-1mdv2007.1
+ Revision: 148296
- add forgoten sources + add tray
- fix python dbus.proxy issue

  + Colin Guthrie <cguthrie@mandriva.org>
    - Import screenlets

